;;; -*- Mode:Common-Lisp; Package:COMMON-LISP-USER; Base:10 -*-

;;; Copyright (c) 1999 - 2009 Brian C. Williams, MIT.

;;; This software may not be redistributed, and can only be retained
;;; and used with the explicit written consent of the author,
;;; Brian C. Williams.

;;; This software is made available as is; no guarantee is provided
;;; with respect to performance or correct behavior.

;;; This software may only be used for non-commercial, non-profit,
;;; research activities.


;;; NOTE:  In the following, :mtk-utils subsumes the file bfig-utils.lisp
;;;        in the BFIG source directory.  :mtk-utils, however, includes
;;;        functions not needed by BFIG.

(asdf:defsystem #:bfig
  :name "BFIG" 
  :version "0.1"
  :description "MERS Toolkit: Best-First Implicant Generator"
  :author "MERS Group"
  :maintainer "MIT MERS Group"
  :serial t
  :components(
			  (:file "package")
			  (:file "bfig-defs")
			  (:file "bfig-hooks")
			  (:file "bfig-problem")
			  (:file "bfig-conflicts")
			  (:file "bfig-activation")
			  (:file "bfig-generator")
			  (:file "bfig-compare")
			  (:file "bfig-tests"))
  :depends-on (#:mtk-utils #:abstract-data-types))
			  
