(in-package :common-lisp-user)

(defpackage #:lp-model (:use 
						#:MTK-utils
						#:observer
						#:common-lisp)
			(:export
			 ;;; Constants from lp-model-defs
			 "*INFTY*" "*-INFTY*"
			 "*SENSE-=*"
			 "*SENSE->=*"
			 "*SENSE-<=*"
			 "*SENSE-RANGE*"
			 "LP-VARIABLE"
			 ;; Functions
			 "SENSE"
			 "SORT-PROBLEM"
			 "LP"
			 "VARIABLES"
			 "CONSTRAINTS"
			 "OBJECTIVE"
			 "COL-INDEX-IN-FORMULATION"
			 "UPPER-BOUND"
			 "LOWER-BOUND"
			 "LINEAR-PART"
			 "LINEAR-CONSTRAINT"
			 "ROW-INDEX-IN-FORMULATION"
			 "NUM-ELEMENTS"
			 "ELEMENT-INDICES"
			 "ELEMENT-VALUES"
			 "MAKE-LP"
			 "MAKE-VARIABLE-AND-ADD-TO-LP"
			 "ADD-VARIABLE-TO-LP"
			 "MAKE-CONSTRAINT-AND-ADD-TO-LP"
			 "ADD-CONSTRAINT-TO-LP"
			 "DIAGONAL-QUADRATIC-OBJECTIVE"
			 "QUADRATIC-OBJECTIVE-DIAG"
			 "MAKE-OBJECTIVE-AND-ADD-TO-LP"
			 "ELEMENT-INDICES"
			 "ELEMENT-VALUES"
			 "ACTIVATE-CONSTRAINT"
			 "DEACTIVATE-CONSTRAINT"
			 )
			;; (:export

			;; ;;; truth values, from :mtk-utils
			;;  "*TRUE*" "TRUE"
			;;  "*FALSE*" "FALSE"
			;;  "*NONE*" "NONE"
			 
			;;  ;; From current-data-set.lisp
			;;  "NEW-DATA-POINT!"
			;;  "ADD-OBSERVATION!"
			;;  "CLEAR-OBSERVATIONS!"

			;;  ;; From estimator.lisp
			;;  "NEW-ESTIMATOR"
			;;  "ESTIMATE"
			;;  "ESTIMATE-W-PROBABILITIES"
			;;  "CONTINUE-ESTIMATE"
			;;  )

			;;  (:import-from "CCA-MODEL" "FORMULATE-LP-FROM-INTERNALIZED-CONSTRAINTS")
			;;  (:import-from "CCA-MODEL" "SYSTEM-MODEL-LINEAR-CONSTRAINT-ROWS")
			;;  (:import-from "OPSAT" "MLLP-PROBLEM")
			;;  (:import-from "OPSAT" "MLLP-THEORY")
			;;  (:import-from "OPSAT" "FIND-SOLUTIONS")

			 )

(mtk-utils:declare-debug-print-system! :lp-model)
(mtk-utils:declare-debug-print-system! :lp-model-tests)
