;;; -*- Mode:Common-Lisp; Package:COMMON-LISP-USER; Base:10 -*-

;;; Copyright (c) 2012 Eric M. Timmons, MIT.

;;; This software may not be redistributed, and can only be retained
;;; and used with the explicit written consent of the author,
;;; Eric M. Timmons.
;;; This software is made available as is; no guarantee is provided
;;; with respect to performance or correct behavior.
;;; This software may only be used for non-commercial, non-profit,
;;; research activities.

(in-package :COMMON-LISP-USER)

(pushnew :observer *features*)

(asdf:defsystem #:observer
  :name "Observer"
  :version "0.1"
  :description "MERS Toolkit: Observer. Provides framework for event publishers and listeners."
  :author "MERS Group"
  :maintainer "MIT MERS Group"
  :serial t
  :components ((:file "package")
			   (:file "event-publisher")
			   (:file "tests/tests"))
  
  :depends-on (;; Uses debugging capabilities from mtk-utils.
			   #:mtk-utils
			   ))

