(in-package #:tburton)

(defun test-pddl-to-snark ()
  (let ((pddl-domain-file "tburton/tests/boeing-problem/boeing-domain.pddl")
		(pddl-problem-file "tburton/tests/boeing-problem/boeing-problem.pddl"))
	(load-pddl pddl-domain-file)
	(load-pddl pddl-problem-file)
	(eval-snark  (coll-tolist (pddl-to-snark *recent-domain* *recent-problem*) :copy nil) :verbose t)
	;; (let ((snark-rep (pddl-to-snark *recent-domain* *recent-problem*))
	;; 	  (curr-pkg *package*))
	;;   (in-package #:snark-user)
	;;   (format t "snark-rep: ~s~%" snark-rep)
	;;   (eval snark-rep)
	;;   (setf *package* curr-pkg))

))


(defun test-translate-pddl-condition-to-snark ()
  (translate-pddl-condition-to-snark '(and    (holding-beam-left ?l ?t)
									   (holding-beam-right ?r ?t)
									   (clear-above ?a)
									   (clear-above ?b)
									   (is-at-beam-height ?a)
									   (is-at-beam-height ?b)
									   (can-reach ?l ?a)
									   (can-reach ?r ?b)
									   ))
  )