(in-package :tburton)

;; Test it

(defun test-schedule-offline-1 ()
  (let* ((plan-file (cl-user::mars-pathname "tburton/tests/boeing-problem/plan.good"))
		 (plan (read-tpn-file plan-file)))
	(schedule-offline plan)))

(defun test-schedule-offline-2 ()
  (let* ((plan-file (cl-user::mars-pathname "tburton/tests/vex/vex-plan-3arms-assembly15.tpn"))
		 (plan (read-tpn-file plan-file)))
	(schedule-offline plan)))


(defun read-tpn-file (tpnfile)
  "A helper function to read in & parse a TPN file"
  (with-open-file (tpn-in-stream tpnfile) 
	(let* ((tpns (tpn::parse-tpn-stream tpn-in-stream 
										'tpn::get-event 
										'tpn::make-episode
										'tpn::add-episode 
										'tpn::make-tpn))
		   (tpn (first tpns)))
	  tpn)))